
Redmine - Defect #31870

Remove deprecated .zIndex() method

2019-08-09 17:06 - Fabrice Helmbacher

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.5   

Resolution: Fixed Affected version: 4.0.4

Description

Système : Debian 10

Redmine version : 4.0.1-2

libjs-jquery-ui version : 1.12.1+dfsg-5

.zIndex() method is deprecated from jQuery UI

https://jqueryui.com/upgrade-guide/1.12/#removed-zindex

.zIndex() is used in public/javascript/application.js

https://www.redmine.org/projects/redmine/repository/entry/branches/4.0-stable/public/javascripts/application.js

lines 429, 439

problem occurs when adding member to a project.

proposed correction :

function showModal(id, width, title) {

  var el = $('#'+id).first();

  if (el.length === 0 || el.is(':visible')) {return;}

  if (!title) title = el.find('h3.title').text();

  // moves existing modals behind the transparent background

-  $(".modal").zIndex(99);

+  $(".modal").css('zIndex',99);

  el.dialog({

    width: width,

    modal: true,

    resizable: false,

    dialogClass: 'modal',

    title: title

  }).on('dialogclose', function(){

-    $(".modal").zIndex(101);

+    $(".modal").css('zIndex',101);

  });

  el.find("input[type=text], input[type=submit]").first().focus();

}

Related issues:

Related to Redmine - Feature #31196: Updates jQuery to 2.2.4 and adds jQuery ... Closed

Related to Redmine - Defect #31708: Not able to add member to a project Closed

Blocks Redmine - Feature #31887: Update jQuery UI to 1.12.1 Closed

Associated revisions

Revision 18377 - 2019-08-18 14:47 - Go MAEDA

Remove deprecated .zIndex() method (#31870).

Patch by Fabrice Helmbacher.

Revision 18467 - 2019-09-13 16:44 - Go MAEDA

Merged r18377 from trunk to 4.0-stable (#31870).
https://jqueryui.com/upgrade-guide/1.12/#removed-zindex
https://www.redmine.org/projects/redmine/repository/entry/branches/4.0-stable/public/javascripts/application.js


History

#1 - 2019-08-10 04:39 - Go MAEDA

- Target version set to Candidate for next minor release

Related URLs:

https://github.com/jquery/jquery-ui/commit/faf87d992455280182edef015c8733313744a739

https://jqueryui.com/upgrade-guide/1.11/#deprecated-zindex

#2 - 2019-08-13 03:02 - Go MAEDA

- Related to Feature #31196: Updates jQuery to 2.2.4 and adds jQuery Migrate library added

#3 - 2019-08-13 07:55 - Marius BĂLTEANU

- Related to Feature #31887: Update jQuery UI to 1.12.1 added

#4 - 2019-08-13 08:45 - Marius BĂLTEANU

- Related to deleted (Feature #31887: Update jQuery UI to 1.12.1)

#5 - 2019-08-13 08:45 - Marius BĂLTEANU

- Blocks Feature #31887: Update jQuery UI to 1.12.1 added

#6 - 2019-08-18 14:49 - Go MAEDA

- Category changed from Third-party libraries to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#7 - 2019-08-18 14:49 - Go MAEDA

- Subject changed from jQuery / zIndex deprecated to Remove deprecated .zIndex() method

#8 - 2019-09-13 16:39 - Go MAEDA

- Related to Defect #31708: Not able to add member to a project added

#9 - 2019-09-13 16:40 - Go MAEDA

- Target version changed from 4.1.0 to 4.0.5

#10 - 2019-09-18 11:57 - Paweł Szmigiel

Hi, already asked this in Defect #31708, there is a "close" text on the close button, any way to remove it? Appreciate any answer.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://github.com/jquery/jquery-ui/commit/faf87d992455280182edef015c8733313744a739
https://jqueryui.com/upgrade-guide/1.11/#deprecated-zindex
https://www.redmine.org/issues/31708
http://www.tcpdf.org

